﻿namespace UltraTabbedMdiManagerButtons
{
    using System;
    using System.Drawing;
    using Infragistics.Win;

    internal class DF : IUIElementDrawFilter
    {
        private Image scrollButtonImage;

        public DF(Image scrollButtonImage)
        {
            this.scrollButtonImage = scrollButtonImage;
        }

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if(drawParams.Element is SpinScrollButtonUIElement)
            {
                if(drawPhase == DrawPhase.BeforeDrawForeground)
                    return true;

                drawParams.AppearanceData.ImageBackground = this.scrollButtonImage;
                drawParams.AppearanceData.ImageBackgroundStyle = ImageBackgroundStyle.Stretched;
            }

            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if(drawParams.Element is SpinScrollButtonUIElement)
                return DrawPhase.BeforeDrawElement | DrawPhase.BeforeDrawForeground;

            return DrawPhase.None;
        }
    }
}